<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/rv_product"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <TextView
            android:id="@+id/tv_add"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:background="@drawable/shape_blue_btn"
            android:paddingHorizontal="20mm"
            android:paddingVertical="5mm"
            android:layout_marginTop="30mm"
            android:text="添加产品明细"
            android:textColor="@color/white" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_add"
        android:visibility="gone"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#70000000"
        android:paddingHorizontal="40mm"
        android:paddingVertical="40mm">

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/white"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentTop="true"
                android:orientation="vertical">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="60mm"
                    android:layout_centerInParent="true"
                    android:gravity="center"
                    android:text="添加明细"
                    android:textColor="#ff9eaab1"
                    android:textSize="16sp" />

                <RelativeLayout
                    android:id="@+id/rl_machine"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:background="@color/white"
                    android:gravity="center"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="22mm">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:gravity="center_vertical">

                        <View
                            android:layout_width="12mm"
                            android:layout_height="12mm"
                            android:background="#FF3F617F" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10mm"
                            android:text="选择设备"
                            android:textSize="16sp" />
                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:gravity="center_vertical">

                        <TextView
                            android:id="@+id/tv_machine"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="10mm"
                            android:hint="请选择设备"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <ImageView
                            android:layout_width="6mm"
                            android:layout_height="10mm"
                            android:background="@mipmap/arrow_right_blue" />
                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/rl_components"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:background="@color/white"
                    android:gravity="center"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="22mm">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:gravity="center_vertical">

                        <View
                            android:layout_width="12mm"
                            android:layout_height="12mm"
                            android:background="#C45D5D" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10mm"
                            android:text="选择组件"
                            android:textSize="16sp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:gravity="center_vertical">

                        <TextView
                            android:id="@+id/tv_components"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="10mm"
                            android:hint="请选择组件"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <ImageView
                            android:layout_width="6mm"
                            android:layout_height="10mm"
                            android:background="@mipmap/arrow_right_blue" />
                    </LinearLayout>

                </RelativeLayout>

                <RelativeLayout
                    android:id="@+id/rl_spare_parts"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:background="@color/white"
                    android:gravity="center"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="22mm">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentLeft="true"
                        android:gravity="center_vertical">

                        <View
                            android:layout_width="12mm"
                            android:layout_height="12mm"
                            android:background="#FFE3AD6E" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_centerVertical="true"
                            android:layout_marginLeft="10mm"
                            android:text="替换备件"
                            android:textSize="16sp" />
                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentRight="true"
                        android:gravity="center_vertical">

                        <TextView
                            android:id="@+id/tv_spare_parts"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="10mm"
                            android:hint="请选择替换备件"
                            android:textSize="16sp"
                            android:textStyle="bold" />

                        <ImageView
                            android:layout_width="6mm"
                            android:layout_height="10mm"
                            android:background="@mipmap/arrow_right_blue" />
                    </LinearLayout>

                </RelativeLayout>
            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentBottom="true"
                android:gravity="center"
                android:paddingVertical="15mm">

                <TextView
                    android:id="@+id/tv_cancel"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:background="@drawable/shape_blue_btn"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="5mm"
                    android:text="取消"
                    android:textColor="@color/white" />

                <TextView
                    android:id="@+id/tv_ok"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10mm"
                    android:background="@drawable/shape_blue_btn"
                    android:paddingHorizontal="20mm"
                    android:paddingVertical="5mm"
                    android:text="确认"
                    android:textColor="@color/white" />
            </LinearLayout>
        </RelativeLayout>
    </LinearLayout>
</RelativeLayout>